## loggedfs 0.5

=== Makefile ===
CC=g++
CFLAGS=-Wall -ansi -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=26 -DRLOG_COMPONENT="loggedfs" `xml2-config --cflags`
LDFLAGS=-Wall -ansi -lpcre -lfuse -lrlog `xml2-config --libs`
srcdir=src
builddir=build

all: $(builddir) loggedfs

$(builddir):
	mkdir $(builddir)

loggedfs: $(builddir)/loggedfs.o $(builddir)/Config.o $(builddir)/Filter.o
	$(CC) -o loggedfs $(builddir)/loggedfs.o $(builddir)/Config.o $(builddir)/Filter.o $(LDFLAGS)
$(builddir)/loggedfs.o: $(builddir)/Config.o $(builddir)/Filter.o $(srcdir)/loggedfs.cpp
	$(CC) -o $(builddir)/loggedfs.o -c $(srcdir)/loggedfs.cpp $(CFLAGS)

$(builddir)/Config.o: $(builddir)/Filter.o $(srcdir)/Config.cpp $(srcdir)/Config.h
	$(CC) -o $(builddir)/Config.o -c $(srcdir)/Config.cpp $(CFLAGS)

$(builddir)/Filter.o: $(srcdir)/Filter.cpp $(srcdir)/Filter.h
	$(CC) -o $(builddir)/Filter.o -c $(srcdir)/Filter.cpp $(CFLAGS)

clean:
	rm -rf $(builddir)/
	
install:
	gzip loggedfs.1
	cp loggedfs.1.gz /usr/share/man/man1/
	cp loggedfs /usr/bin/
	cp loggedfs.xml /etc/


mrproper: clean
	rm -rf loggedfs
			
release:
	tar -c --exclude="CVS" $(srcdir)/ loggedfs.xml LICENSE loggedfs.1.gz Makefile | bzip2 - > loggedfs.tar.bz2

## loggedfs 0.9%2Bds

=== debian/watch ===
version=4

opts="dversionmangle=auto,repacksuffix=+ds,filenamemangle=s%(?:.*?)?(?:loggedfs-)?v?(\d[\d.]*)\.tar\.gz%loggedfs-$1.tar.gz%" \
https://github.com/rflament/loggedfs/tags \
(?:.*?/)?(?:loggedfs-)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## loggedfs 0.9+ds

=== Makefile ===
CC=g++
CFLAGS=-Wall -ansi -D_FILE_OFFSET_BITS=64 -DFUSE_USE_VERSION=26 -DELPP_SYSLOG -DELPP_NO_DEFAULT_LOG_FILE -DELPP_THREAD_SAFE -std=c++11 `xml2-config --cflags` 
LDFLAGS=-Wall -ansi -lpcre -lfuse `xml2-config --libs` -lpthread
srcdir=src
easyloggingdir=vendor/github.com/muflihun/easyloggingpp/src
builddir=build

all: $(builddir) loggedfs

$(builddir):
	mkdir $(builddir)

loggedfs: $(builddir)/loggedfs.o $(builddir)/Config.o $(builddir)/Filter.o $(builddir)/easylogging.o
	$(CC) -o loggedfs $(builddir)/loggedfs.o $(builddir)/Config.o $(builddir)/Filter.o $(builddir)/easylogging.o $(LDFLAGS)

$(builddir)/loggedfs.o: $(builddir)/Config.o $(builddir)/Filter.o $(srcdir)/loggedfs.cpp
	$(CC) -o $(builddir)/loggedfs.o -c $(srcdir)/loggedfs.cpp $(CFLAGS) -Ivendor/github.com/muflihun/easyloggingpp/src

$(builddir)/Config.o: $(builddir)/Filter.o $(srcdir)/Config.cpp $(srcdir)/Config.h
	$(CC) -o $(builddir)/Config.o -c $(srcdir)/Config.cpp $(CFLAGS)

$(builddir)/Filter.o: $(srcdir)/Filter.cpp $(srcdir)/Filter.h
	$(CC) -o $(builddir)/Filter.o -c $(srcdir)/Filter.cpp $(CFLAGS)

$(builddir)/easylogging.o: $(easyloggingdir)/easylogging++.cc $(easyloggingdir)/easylogging++.h
	$(CC) -o $(builddir)/easylogging.o -c $(easyloggingdir)/easylogging++.cc $(CFLAGS)	

clean:
	rm -rf $(builddir)/
	
install:
	gzip --keep loggedfs.1
	cp loggedfs.1.gz /usr/share/man/man1/
	cp loggedfs /usr/bin/
	cp loggedfs.xml /etc/


mrproper: clean
	rm -rf loggedfs
			
release:
	tar -c --exclude="CVS" $(srcdir)/ loggedfs.xml LICENSE loggedfs.1.gz Makefile | bzip2 - > loggedfs.tar.bz2

=== debian/changelog ===
loggedfs (0.9+ds-5) unstable; urgency=medium

  * Build using C++17 to support newer ICU. Closes: #1101237. Thanks to
    László Böszörményi (GCS) for the patch!
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Mar 2025 20:57:27 +0100

loggedfs (0.9+ds-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Stephen Kitt ]
  * Port to pcre2. Closes: #1000079.
  * Standards-Version 4.6.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 24 Sep 2022 15:38:34 +0200

loggedfs (0.9+ds-3) unstable; urgency=medium

  * Explicitly depend on fuse since we need fusermount, or fuse3 with
    support for “-o nonempty”. Closes: #981146, #981147.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Jan 2021 22:24:38 +0100

loggedfs (0.9+ds-2) unstable; urgency=medium

  * Replace our patches with the corresponding upstream patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Jan 2021 18:14:22 +0100

loggedfs (0.9+ds-1) unstable; urgency=medium

  * Initial release. Closes: #979109.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2021 22:03:44 +0100

=== debian/control ===
Source: loggedfs
Section: admin
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libeasyloggingpp-dev,
 libfuse-dev,
 libpcre2-dev,
 libxml2-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://rflament.github.io/loggedfs/
Vcs-Browser: https://salsa.debian.org/debian/loggedfs
Vcs-Git: https://salsa.debian.org/debian/loggedfs.git

Package: loggedfs
Architecture: any
Depends: fuse (<< 3) | fuse3 (>= 3.10.1-3), ${misc:Depends}, ${shlibs:Depends}
Description: User-controllable logging file system
 LoggedFS is a logging file system which can log every operation
 happening in it. It mounts transparently over any directory and logs
 operations inside that directory (and its children).
 .
 The amount of logging is configurable, and since LoggedFS uses FUSE,
 it can be controlled by users without system administrator
 involvement.
